package tik_tok

type TikTokGoods struct {
	Commission     string          `json:"commission"`
	CostPrice      string          `json:"cost_price"`
	DetailURL      string          `json:"detail_url"`
	GoodsID        string          `json:"goods_id"`
	GoodsImg       string          `json:"goods_img"`
	GoodsSales     string          `json:"goods_sales"`
	GoodsTitle     string          `json:"goods_title"`
	Imgs           []string        `json:"imgs"`
	InStock        string          `json:"in_stock"`
	Price          string          `json:"price"`
	Sharable       string          `json:"sharable"`
	ShopID         string          `json:"shop_id"`
	ShopName       string          `json:"shop_name"`
	ShopTotalScore ShopTotalScore1 `json:"shop_total_score"`
	YhqPrice       string          `json:"yhq_price"`
}

type TikTokGoodsLm struct {
	CosFee         int64          `json:"cos_fee"`
	CosRatio       float64        `json:"cos_ratio"`
	CouponPrice    int64          `json:"coupon_price"`
	Cover          string         `json:"cover"`
	DetailURL      string         `json:"detail_url"`
	FirstCid       int64          `json:"first_cid"`
	InStock        interface{}    `json:"in_stock"`
	Price          int64          `json:"price"`
	ProductID      int64          `json:"product_id"`
	Sales          int64          `json:"sales"`
	SecondCid      int64          `json:"second_cid"`
	Sharable       interface{}    `json:"sharable"`
	ShopID         int64          `json:"shop_id"`
	ShopName       string         `json:"shop_name"`
	ThirdCid       int64          `json:"third_cid"`
	Title          string         `json:"title"`
	Imgs           []string       `json:"imgs"`
	ShopTotalScore ShopTotalScore `json:"shop_total_score"`
}
type ShopTotalScoreData struct {
	Level int    `json:"level"`
	Score string `json:"score"`
	Text  string `json:"text"`
}
type ShopTotalScore struct {
	LogisticsScore ShopTotalScoreData `json:"logistics_score"`
	ProductScore   ShopTotalScoreData `json:"product_score"`
	ServiceScore   ShopTotalScoreData `json:"service_score"`
}
type ShopTotalScoreData1 struct {
	Level string `json:"level"`
	Score string `json:"score"`
	Text  string `json:"text"`
}
type ShopTotalScore1 struct {
	LogisticsScore ShopTotalScoreData1 `json:"logistics_score"`
	ProductScore   ShopTotalScoreData1 `json:"product_score"`
	ServiceScore   ShopTotalScoreData1 `json:"service_score"`
}
type TikTokLive struct {
	LiveId  string `json:"live_id"`
	Name    string `json:"name"`
	HeadImg string `json:"head_img"`
	FansNum string `json:"fans_num"`
	IsLive  string `json:"is_live"`
	Pvd     string `json:"pvd"`
}
